Package org.eclipse.graphiti.ui.editor

# Interface IDiagramEditorInput

All Known Implementing Classes:
  `DiagramEditorInput`

public interface IDiagramEditorInput

Since:
  0.9

## Method Summary

Modifier and Type
Method
Description
`String`
`getProviderId()`
`org.eclipse.emf.common.util.URI`
`getUri()`
`String`
`getUriString()`
`void`
`setProviderId(String providerId)`
`void`
`updateUri(org.eclipse.emf.common.util.URI newURI)`

## Method Details

### getUriString

String getUriString()

### getUri

org.eclipse.emf.common.util.URI getUri()

### getProviderId

String getProviderId()

### setProviderId

void setProviderId(String providerId)

### updateUri

void updateUri(org.eclipse.emf.common.util.URI newURI)